## org.apache.mahout.clustering.lda.cvb
Class CVB0Driver.DualDoubleSumReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.DoubleWritable,org.apache.hadoop.io.DoubleWritable,org.apache.hadoop.io.DoubleWritable,org.apache.hadoop.io.DoubleWritable>
          org.apache.mahout.clustering.lda.cvb.CVB0Driver.DualDoubleSumReducer

Enclosing class:
  CVB0Driver

    public static class CVB0Driver.DualDoubleSumReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.DoubleWritable,org.apache.hadoop.io.DoubleWritable,org.apache.hadoop.io.DoubleWritable,org.apache.hadoop.io.DoubleWritable>

Sums keys and values independently.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`CVB0Driver.DualDoubleSumReducer()`

Method Summary
`void` `run(org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, reduce, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CVB0Driver.DualDoubleSumReducer

    public CVB0Driver.DualDoubleSumReducer()

Method Detail

### run

    public void run(org.apache.hadoop.mapreduce.Reducer.Context context)
             throws IOException,
                    InterruptedException

  Overrides:
    `run` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.DoubleWritable,org.apache.hadoop.io.DoubleWritable,org.apache.hadoop.io.DoubleWritable,org.apache.hadoop.io.DoubleWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.